io.undertow.server

## Class AggregateConnectorStatistics

- java.lang.Object
- - io.undertow.server.AggregateConnectorStatistics

All Implemented Interfaces:
  ConnectorStatistics

    public class AggregateConnectorStatistics
    extends Object
    implements ConnectorStatistics

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`AggregateConnectorStatistics(ConnectorStatistics[] connectorStatistics)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getActiveConnections()`
`long` `getActiveRequests()`
`long` `getBytesReceived()`
`long` `getBytesSent()`
`long` `getErrorCount()`
`long` `getMaxActiveConnections()`
`long` `getMaxActiveRequests()`
`long` `getMaxProcessingTime()`
`long` `getProcessingTime()`
`long` `getRequestCount()`
`void` `reset()` Resets all values to zero

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AggregateConnectorStatistics

    public AggregateConnectorStatistics(ConnectorStatistics[] connectorStatistics)

### Method Detail

#### getRequestCount

    public long getRequestCount()

Specified by:
  `getRequestCount` in interface `ConnectorStatistics`
Returns:
  The number of requests processed by this connector

#### getBytesSent

    public long getBytesSent()

Specified by:
  `getBytesSent` in interface `ConnectorStatistics`
Returns:
  The number of bytes sent on this connector

#### getBytesReceived

    public long getBytesReceived()

Specified by:
  `getBytesReceived` in interface `ConnectorStatistics`
Returns:
  The number of bytes that have been received by this connector

#### getErrorCount

    public long getErrorCount()

Specified by:
  `getErrorCount` in interface `ConnectorStatistics`
Returns:
  The number of requests that triggered an error (i.e. 500) response.

#### getProcessingTime

    public long getProcessingTime()

Specified by:
  `getProcessingTime` in interface `ConnectorStatistics`
Returns:
  The total amount of time spent processing all requests on this connector (nanoseconds)

#### getMaxProcessingTime

    public long getMaxProcessingTime()

Specified by:
  `getMaxProcessingTime` in interface `ConnectorStatistics`
Returns:
  The time taken by the slowest request (nanoseconds)

#### reset

    public void reset()

Description copied from interface: `ConnectorStatistics`
Resets all values to zero

Specified by:
  `reset` in interface `ConnectorStatistics`

#### getActiveConnections

    public long getActiveConnections()

Specified by:
  `getActiveConnections` in interface `ConnectorStatistics`
Returns:
  The current number of active connections

#### getMaxActiveConnections

    public long getMaxActiveConnections()

Specified by:
  `getMaxActiveConnections` in interface `ConnectorStatistics`
Returns:
  The maximum number of active connections that have every been active on this connector

#### getActiveRequests

    public long getActiveRequests()

Specified by:
  `getActiveRequests` in interface `ConnectorStatistics`
Returns:
  The current number of active requests

#### getMaxActiveRequests

    public long getMaxActiveRequests()

Specified by:
  `getMaxActiveRequests` in interface `ConnectorStatistics`
Returns:
  The maximum number of active requests